var myApp = new Framework7({
  fastClicks: false
});
 
var $$ = Dom7;
 
var mainView = myApp.addView('.view-main', {
  dynamicNavbar: true
});


var app = new Vue({
  el: "#app",
  data: {
    count: 5,
    i: 0,
    j: 0,
    stop: false,
    numbers1: [],
    numbers2: [],
  },
  methods: {
    initArray: function(){
      var num;
      for (var i = 0; i < this.count; i++){
        num = Math.floor(Math.random() * 200) - 100;
        Vue.set(this.numbers1, i, num);
        Vue.set(this.numbers2, i, num);
      };
      this.i = this.j = 0;
      this.stop = false;
    },
    nextStep: function(){
      var temp = null;
      var i = this.i;
      var j = this.j;

      if ((this.i == this.count - 1) && (this.j == this.count - 2)){
        this.stop = true;
        return;
      } 

      // záměna
      if (this.numbers2[j] > this.numbers2[j+1]){
        temp = this.numbers2[j];
        this.numbers2[j] = this.numbers2[j+1];
        this.numbers2[j+1] = temp;
      }

      this.j++;
      if (this.j == this.count - 1){
        this.i++;
        this.j = 0;
      };

    }


  },
  computed: {
    getSign: function(){
      return this.numbers2[this.j] < this.numbers2[this.j+1] ? "<" : this.numbers2[this.j] == this.numbers2[this.j+1] ? "=" : ">";
    },
    change: function(){
      return this.getSign == ">" ? true : false;
    }
  },
  created: function(){
    this.initArray();
  }
});

